com.salesforce.datacloud.jdbc.interceptor

## Class TracingHeadersInterceptor

- java.lang.Object
- - com.salesforce.datacloud.jdbc.interceptor.TracingHeadersInterceptor

All Implemented Interfaces:
  HeaderMutatingClientInterceptor, io.grpc.ClientInterceptor

    public class TracingHeadersInterceptor
    extends Object
    implements HeaderMutatingClientInterceptor

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `mutate(io.grpc.Metadata headers)`
`static TracingHeadersInterceptor` `of()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.salesforce.datacloud.jdbc.interceptor.HeaderMutatingClientInterceptor

`interceptCall`

### Method Detail

#### of

    public static TracingHeadersInterceptor of()

#### mutate

    public void mutate(io.grpc.Metadata headers)

Specified by:
  `mutate` in interface `HeaderMutatingClientInterceptor`